
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_ordercancelrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for SecureTransactionListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="SecureTransactionListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Authorize"/&amp;gt;
 *     &amp;lt;enumeration value="CheckEnrollment"/&amp;gt;
 *     &amp;lt;enumeration value="Complete"/&amp;gt;
 *     &amp;lt;enumeration value="Purchase"/&amp;gt;
 *     &amp;lt;enumeration value="Refund"/&amp;gt;
 *     &amp;lt;enumeration value="Validate"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "SecureTransactionListType")
@XmlEnum
public enum SecureTransactionListType {


    /**
     * Amount is authorized. No funds are transferred.
     * 
     */
    @XmlEnumValue("Authorize")
    AUTHORIZE("Authorize"),
    @XmlEnumValue("CheckEnrollment")
    CHECK_ENROLLMENT("CheckEnrollment"),

    /**
     * Complete a previous authorization. Funds are transferred.
     * 
     */
    @XmlEnumValue("Complete")
    COMPLETE("Complete"),

    /**
     * Purchase. Funds are transferred immediately.
     * 
     */
    @XmlEnumValue("Purchase")
    PURCHASE("Purchase"),

    /**
     * Refund. Funds transferred immediately.
     * 
     */
    @XmlEnumValue("Refund")
    REFUND("Refund"),

    /**
     * Validation Transaction. Effects a $1.00 Authorization to validate card details including expiry date, address.
     * 
     */
    @XmlEnumValue("Validate")
    VALIDATE("Validate");
    private final String value;

    SecureTransactionListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SecureTransactionListType fromValue(String v) {
        for (SecureTransactionListType c: SecureTransactionListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
